---
lang: en
title: 'API docs: filter.wherebuilder.like'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.wherebuilder.like.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [WhereBuilder](./filter.wherebuilder.md) &gt; [like](./filter.wherebuilder.like.md)

## WhereBuilder.like() method

Add a `like` condition

**Signature:**

```typescript
like<K extends KeyOf<MT>>(key: K, val: MT[K]): this;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

key


</td><td>

K


</td><td>

Property name


</td></tr>
<tr><td>

val


</td><td>

MT\[K\]


</td><td>

Regexp condition


</td></tr>
</tbody></table>
**Returns:**

this


